package mg.dot.feufaro.pdf

enum class PageSize(val label: String) {
    A4("A4"),
    A3("A3"),
    LETTER("Letter")
}

enum class PageOrientation(val label: String) {
    PORTRAIT("Portrait"),
    LANDSCAPE("Paysage")
}

expect class PrintSettings(
    pageSize        : PageSize,
    orientation     : PageOrientation,
    markerHeight    : Float,
    noteFontSize    : Float,
    lyricFontSize   : Float,
    noteLineH       : Float,
    lyricLineH      : Float,
    extraSylLineH   : Float,
    adjustedMargin  : Float,
    interRowGap     : Float,
    marginX         : Float,
    marginY         : Float,
    headerH         : Float,
    nbGridOnMeasure : Int
) {
    val pageSize        : PageSize
    val orientation     : PageOrientation
    val markerHeight    : Float
    val noteFontSize    : Float
    val lyricFontSize   : Float
    val noteLineH       : Float
    val lyricLineH      : Float
    val extraSylLineH   : Float
    val adjustedMargin  : Float
    val interRowGap     : Float
    val marginX         : Float
    val marginY         : Float
    val headerH         : Float
    val nbGridOnMeasure : Int
    val pageWidth       : Float
    val pageHeight      : Float
}

expect fun defaultPrintSettings(): PrintSettings